% Permission is hereby granted, free of charge, to any person obtaining a copy
% of this software and associated documentation files (the “Software”), to deal
% in the Software without restriction, including without limitation the rights
% to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the Software is
% furnished to do so, subject to the following conditions:
%
% The above copyright notice and this permission notice shall be included in all
% copies or substantial portions of the Software.
%
% THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
% IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
% FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
% AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
% LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
% OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
% SOFTWARE.

\documentclass[a4paper,12pt]{article}
\usepackage[utf8]{inputenc}

% Geometry
\usepackage{geometry}
\geometry{top=0.75cm,
          bottom=0.75cm,
          left=0.75cm,
          right=0.75cm}
\setlength{\parindent}{0pt}


% Custom lengths:
% - datelinelen is the width of the first column in the content
\newlength{\datelinelen}
\setlength{\datelinelen}{.28\linewidth}


% Used packages
\usepackage{xcolor}   % colors
\usepackage{marvosym} % symbols for mail and phone
\usepackage{graphicx} % include images


% Title formats
\usepackage{titlesec}
\titleformat{\section}{\raggedright \Large \scshape}
                      {}{0pt}{}[\vspace{-5pt}\hrule]
\titlespacing{\section}{0ex}{0ex}{1ex}
\titleformat{\subsection}{\raggedright \large \scshape}
                         {\hspace{.2em}}{0pt}{}
\titlespacing{\subsection}{0ex}{0ex}{1ex}


% Commands for entries
% \dentry for entries with a date and a header
\newcommand{\dentry}[3]{
 \parbox{\datelinelen}{
  \centering \textit{ \textcolor{darkgray}{ #1 } } \strut
 }
 \parbox[t]{36em}{ #2 \strut}
 \\
 \parbox{\datelinelen}{\ }
 \parbox{32em}{\textcolor{darkgray}{ #3 }}
 \par \vspace{.5ex}
}
% \bentry for simple keyword - content entries
\newcommand{\bentry}[2]{
 \parbox[t]{\datelinelen}{#1 \textcolor{gray}{\dotfill}} \strut
 \parbox[t]{32em}{#2 \strut}
 \par \vspace{.4ex}
}


% The document
\begin{document}
% Contact information box
\parbox[b][24ex][t]{.7\linewidth}{
 {
  \ \\ \ \\
  \LARGE \textbf{
  My name
 }}
 
 Street and number \\
 More adress \\
 \Letter \ email.adress@domain.com \\
 \Telefon \ Telephone number
}
% Picture box
\parbox[b][24ex][c]{.3\linewidth}{
 \begin{flushright}
  \includegraphics[width=\linewidth,height=24ex,keepaspectratio]{picture.jpg}
 \end{flushright}
}

% Content

\section{Education}

\dentry{1717 - today}{M.Sc. at University}{
 Focus on most interesting stuff, subsidary courses on i.a. other interesting
 stuff and also less interesting things
 }
\dentry{1712 - 1717}{B.Sc. at University}{
 Subsidary subject LaTeX, \\
 Thesis on ``Writing CVs in LaTeX'', \\
 Grade $1.234$ }
\dentry{1707 - 1712}{School}{
 Final grade $3.456$,
 Focus on football and having fun with friends }

\section{Experience}

\dentry{11.1717 - 06.1718}{Travelling Salesman}{
 Learned a lot on NP complete problems }

\section{Skills}

\subsection{Languages}

\bentry{German}{native speaker}
\bentry{English}{fluent}

\subsection{Sports}

\bentry{Running}{Really fast}
\bentry{Football}{Almost never missing the ball}


% End of document: space for signature
\vspace{10ex}
\vfill
\begin{flushright}
\hrule
\vspace{.5ex}
 Date, Signature
\end{flushright}

\end{document}
